#include<iostream.h>
#include<iomanip.h>
 const int n=10;
 int main()
{
 int a[n][n],i,j;
 for(i=0;i<n;i++)
 {
  a[i][0]=1;  //第一列元素置为1
  a[i][i]=1; //对角线元素置为1
 }
 for(i=2;i<n;i++) //从第三行开始
  for(j=1;j<i;j++)//从第二列开始，到对角线为止
   a[i][j]=a[i-1][j-1]+a[i-1][j];
 for(i=0;i<n;i++)
 {
  for(j=0;j<=i;j++)
   cout<<setw(5)<<a[i][j];
  cout<<endl;
 }
 return(0);
}
